﻿.video-player-container {
    position: relative;
    width: 100%;
    aspect-ratio: 16/9;
    background: unset;
    background-color: transparent;
    border-radius: 12px;
    overflow: hidden;
}

.video-element {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* overlay */
.video-overlay {
    position: absolute;
    top: 15px;
    right: 2px;
    z-index: 20;
    background-color: transparent;
}

/* botão */
.video-overlay button {
    background: rgba(0,0,0,0.85);
    color: white;
    border: none;
    padding: 1px 1px;
    margin-top: -10px;
    margin-right: 5px;
    border-radius: 6px;
    cursor: pointer;
    backdrop-filter: blur(4px);
}

/* menu */
/*.video-menu {
    margin-top: 5px;
    background: rgba(0,0,0,0.85);
    color: white;
    border-radius: 6px;
    overflow: hidden;
    min-width: 80px;
}*/

.video-menu {
    position: absolute;
    top: 25px; /* distância abaixo do botão */
    margin-left: -60px;
    background: rgba(0,0,0,0.85);
    color: white;
    border-radius: 6px;
    overflow: hidden;
    min-width: 80px;
}
.video-menu div {
    padding: 8px 12px;
    cursor: pointer;
    text-align: left;
}

.video-menu div:hover {
    background: rgba(255,255,255,0.1);
}